#ifndef GTW_CENTRAL_BARRIER_H
#define GTW_CENTRAL_BARRIER_H

#include "gtw_arch.h"

#define BADADDR (void *) -1

#define True 1
#define False 0

struct central_barrier{
  TW_LOCK_TYPE lock;
#if 0
  mutex_t lock;
#endif
  int Count;			/*  number of threads yet to arrive */
  int Sense;
  int Threads;			/*  threads participating in this barrier */
};

struct central_barrier_pvt{
  int Local_sense;
};


typedef struct central_barrier barrier_t;
typedef struct central_barrier_pvt barrier_pvt_t;


#endif /* GTW_CENTRAL_BARRIER_H */
