#ifndef GTW_INSIM_H
#define GTW_INSIM_H

#include "gtw_glob.h"

/* ADDED */
extern TW_SHARED char **Argv;    
extern TW_SHARED int TWAppStatMsgSize;
extern TW_SHARED int pvm_debug;
extern TW_SHARED int RFthread; 
extern TW_SHARED int RTPEEventMem;
extern TW_SHARED int RTGPEStateMem;
extern TW_SHARED int RTMsgBufferCheck;

extern TW_SHARED TW_BARRIER_TYPE RF1;
extern TW_SHARED TW_BARRIER_TYPE RF2;

extern TW_SHARED TW_BARRIER_TYPE Go2;

/* *** */

extern TW_SHARED int MaxStateSize;
extern TW_PRIVATE int randmixer; 
extern int GVTPeriod; 
extern TW_SHARED long ClocksPerMS;
extern TW_SHARED TWLPType TWLP[];
extern TW_SHARED TWTime GVT;
extern TW_SHARED TWTime LocalGVT;
extern TW_SHARED TW_LOCK_TYPE Lck_GVTflag;
extern TW_SHARED TW_LOCK_TYPE Lck_NumGlobalPool;
extern TW_SHARED TW_LOCK_TYPE dumplck; 
extern TW_SHARED TW_LONG NumGlobalPool;
extern TW_SHARED TW_SYNCH int GVTflag;
extern TW_SHARED TW_SYNCH int IIObarriers ;

extern TW_SHARED double ENDTIME;     
extern TW_SHARED double OFFSET;            
extern TW_SHARED float RetThreshold;
extern TW_SHARED int LPNum[];  
extern TW_SHARED int PEEventMem;
extern TW_SHARED int GlobEventMem;
extern TW_SHARED int GPEStateMem;
extern TW_SHARED int batch;
extern TW_SHARED int TWMsgSize;
extern TW_SHARED int TWPEXBuffersPerPE ;
extern TW_SHARED int TWdebug;   
extern TW_SHARED int TWnlp;
extern TW_SHARED int TWnpe;
extern TW_SHARED int TWstat;
extern TW_SHARED struct Event *PFree, *FLast;
extern TW_SHARED struct PEState GState[MAXPROC];
extern char TW_results_file_name[];
extern int DO_PROCS;
extern int TWapp_flags;
extern int elist_test;
extern int end_test;
extern int num_machines;
extern long MsgBufferCheck;
#endif
