#ifndef ____HASHUTILS________
#define ____HASHUTILS________


#include "hashcalculator.h"
#include "caching.h"

struct cacheStruct** LPCache ;
char** LPFlags ;
char* memoryPoolPointer ;
int* memoryUsed ;
int maxMemoryPerLP ;
long totalMemoryConsumed ;
long MEMORY_POOL_SIZE ;
long noOfFound ;
double pTime ;
char* memoryPool ;
long FACTOR ;

long timeTakenTocache, processingTime, cacheOverhead ;

struct MyStateData* globalMemStruct1 ;
struct MyStateData* globalMemStruct2 ;

void addToHashTable(struct MyStateData*, struct MyStateData*, int, int); 
struct cacheStruct* checkIfPresent(struct MyStateData*, int, int);
int createHashTable(int) ;
int createMemoryPool(void) ;
void* memAlloc(int noOfelements, int elementSize);

#endif

