#ifndef GTW_ALLOC_H
#define GTW_ALLOC_H

#include  "gtw_glob.h"
#include  "gtw_ds.h"
#include  "gtw_arch.h"

/* LOCAL: MemAllocate, AllocatePEXMemory */

/* external functions */
extern void AllocateEventMemory( int, int, int );
extern void AllocatePEXMemory ( int , int);
extern void PrintBufAlloc( void );
extern void AllocateStateVector( TW_LONG, int );
extern void AllocateLPState( int );
/* extern char * TWMalloc( TW_LONG,int ); */
extern char * TWMalloc( TW_LONG );
extern void _TWAutoCheck( char *, int, int );
extern void InitMemMap( void );
extern void InitPEXMemMap ( int );


/* external variables */
extern TW_SHARED int TWMemMap[D_MAXPROC*MAXMACHINES][D_MAXPROC*MAXMACHINES];
extern TW_SHARED int TWMemPEXMap[MAXPROC];

#endif /* GTW_ALLOC_H */
