#include <stdio.h>
#include <string.h>
#include "hashcalculator.h"


/* Calculates hash index based on the contents of data. Hash index is between 0 to MAX_HASHVALUE-1 */

int hashIndexOf(unsigned char *nm, int size)
{
	unsigned long hash = 5381;
        int c, i =0 ;

        while ( i < size )
	{
	    c = *nm++ ;
            hash = ((hash << 5) + hash) + c; /* hash * 33 + c */
	    i++	 ;
	}


        return hash % MAX_HASHVALUE ; 
}

